<?php

######################################################################
# PHP-NUKE: Web Portal System
# ===========================
#
# Copyright (c) 2000 by Francisco Burzi (fburzi@ncc.org.ve)
# http://phpnuke.org
#
# This modules is to have a list of registered users
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

/* Some code taken from MemberList coded by Paul Joseph Thompson */
/* of www.slug.okstate.edu                                       */
/* In memoriam of Members List War ;)                            */

if (!IsSet($mainfile)) { include("mainfile.php"); }

function alpha() {
    global $sortby;
    $alphabet = 
        array ("A","B","C","D","E","F","G","H","I","J","K","L","M","N",
               "O","P","Q","R","S","T","U","V","W","X","Y","Z","Other");
    echo "[ ";
    while (list(, $ltr) = each($alphabet)) {
	echo "<a href=memberslist.php?op=ListMembers&letter=$ltr&sortby=$sortby>$ltr</a>";
	echo ($ltr != "Other" ? " | " : "");
    }
    echo " ]<br><br>";
}

function SortLinks($letter) {
    global $sortby;
    echo "Sort by: ";
    if ($sortby == "uname" OR !$sortby) {
	echo "".translate("nickname")." | ";
    } else {
	echo "<a href=memberslist.php?op=ListMembers&letter=$letter&sortby=uname>".translate("nickname")."</a> | ";
    }
    if ($sortby == "name") {
	echo "".translate("real name")." | ";
    } else {
	echo "<a href=memberslist.php?op=ListMembers&letter=$letter&sortby=name>".translate("real name")."</a> | ";
    }
    if ($sortby == "femail") {
	echo "".translate("fake email")." | ";
    } else {
	echo "<a href=memberslist.php?op=ListMembers&letter=$letter&sortby=femail>".translate("fake email")."</a> | ";
    }
    if ($sortby == "url") {
	echo "".translate("url")." | ";
    } else {
	echo "<a href=memberslist.php?op=ListMembers&letter=$letter&sortby=url>".translate("url")."</a><br><br>";
    }
}

function isAlpha($character) {
    $c = Ord($character);
    return ((($c >= 64) && ($c <= 90)) || (($c >= 97) && ($c <= 122)));
}

function ListMembers($letter, $sortby) {
    include("header.php");
    global $user;
    if (!$letter) {
	$letter = "A";
    }
    if (!$sortby) {
	$sortby = "uname";
    }
    $result = mysql_query("select uname from users order by uid DESC limit 0,1");
    list($lastuser) = mysql_fetch_row($result);
    echo "<table border=0 width=100% cellpadding=0 cellspacing=1 bgcolor=000000><tr><td>";
    echo "<table border=0 width=100% cellpadding=5 cellspacing=1 bgcolor=FFFFFF><tr><td>";
    echo "<center><b>".translate("Welcome to")." $sitename ".translate("Members List")."</b><br><br>";
    echo "".translate("Greetings to our latest registered user:")." <a href=user.php?op=userinfo&uname=$lastuser>$lastuser</a><br>";
    $result = mysql_query("select name, uname, femail, url from users order by $sortby");
    $numrows = mysql_num_rows($result);
    if ($user) {
	$result2 = mysql_query("SELECT username FROM session where guest=0");
	$member_online_num = mysql_num_rows($result2);
    	$who_online = "<CENTER><b>".translate("Current Online Registered Users:")."</b><br><br>";
	$i = 1;
	while ($session = mysql_fetch_array($result2)) {
    	    if ($session[guest] == 0) {
		$who_online .= "<a href=user.php?op=userinfo&uname=$session[username]>$session[username]</a>";
		$who_online .= ($i != $member_online_num ? " - " : "");
		$i++;
    	    }
	}
	echo "".translate("We have")." <b>$numrows</b> ".translate("registered users so far. There are")." <b>$member_online_num</b> ".translate("registered user(s) online right now.")."<br><br>";
	echo "<table border=0 cellpadding=0 cellspacing=1 bgcolor=000000><tr><td>";
	echo "<table border=0 width=100% cellpadding=5 cellspacing=1 bgcolor=FFFFFF><tr><td>";
	echo "$who_online</CENTER>";
	echo "</td></tr></table></td></tr></table><br>";
    } else {
        echo "".translate("We have")." <b>$numrows</b> ".translate("registered users so far.")."<br><br>";
    }
    while(list($name, $uname, $femail, $url) = mysql_fetch_row($result)) {
        $cur_letter = ucfirst(substr($uname, 0, 1));
        $cur_isAlpha = isAlpha($cur_letter);
        $alpha_found[$cur_isAlpha ? $cur_letter : "Other"] = true;
	if (($letter == $cur_letter) || (!$cur_isAlpha && ($letter == "Other"))) {
            $current_users[] = array(
                "name" => $name, "uname" => $uname,
                "femail" => $femail, "url" => $url );
        }
    }
    alpha();
    SortLinks($letter);
    echo "<br>";
    echo "<table width=100% border=0 cellspacing=0><tr>";
    echo "<td bgcolor=006699><center><font color=White><b>".translate("Nickname")."</b></td>";
    echo "<td bgcolor=006699><center><font color=White><b>".translate("Real Name")."</b></td>";
    echo "<td bgcolor=006699><center><font color=White><b>".translate("Fake Email")."</b></td>";
    echo "<td bgcolor=006699><center><font color=White><b>".translate("URL")."</b></td><tr>";
    $a = 0;
    $dcolor_A = "FFFFFF";
    $dcolor_B = "CCCCCC";
    if (count($current_users)) {
        while (list(, $user) = each ($current_users)) {
            $dcolor = ($a == 0 ? $dcolor_A : $dcolor_B);
            echo "<td bgcolor=$dcolor><a href=\"user.php?op=userinfo&uname=$user[uname]\">$user[uname]</a></td>";
            echo "<td bgcolor=$dcolor>&nbsp;$user[name]</td>";
            echo "<td bgcolor=$dcolor>&nbsp;$user[femail]</td>";
            echo "<td bgcolor=$dcolor>&nbsp;<a href=\"$user[url]\" target=new>$user[url]</a></td><tr>";
            $a = ($dcolor == $dcolor_A ? 1 : 0);
        }
    } else {
        echo "<td bgcolor=$dcolor_A colspan=4 align=center><br>";
        echo "<b>".translate("No Members Found for")." $letter</b>";
        echo "<br></td>";
    }
    echo "</tr></table><br>";
    echo "<table width=100% border=0 cellspacing=0><tr><td><center>";
    alpha();
    SortLinks($letter);
    echo "<br>";
    echo "</td></tr></table>";
    echo "</td></tr></table></td></tr></table>";
    include("footer.php");

}

switch(op) {

    case "ListMembers":
	ListMembers($letter, $sortby);
	break;

    default:
	ListMembers($letter, $sortby);
	break;
}

?>