<?php

/*

Welcome to PHP-NUKE

This is the language module with "all" the system messages without any order.

Translated and maintained by:
	Ulf Nielsen <ulf@dkuug.dk>

Please submit any typos/translation bugs to me.


Thanks to Mikkel Mondrup Kristensen <mellemus@mailme.dk> for pointing
out typos and other stuff.
*/

function translate($phrase) {

    switch($phrase) {

    case "(Are you sure you included a URL? Did ya test them for typos?)":      $tmp = "(Er du sikker p at du har husket URL'en?  Har du rettet den for stavefejl?)"; break;
    case "(Did you check URLs?)":       $tmp = "(Har du checket URL-erne?)"; break;
    case "(for changes only)":          $tmp = "(kun ndringer)"; break;
    case "- are you sure?":             $tmp = "- er du sikker?"; break;
    case "Add Author":                  $tmp = " Gem  Administrator "; break;
    case "Administration Menu":         $tmp = "Administrations Menu"; break;
    case "NEW Article":                 $tmp = "Skriv Nyhed"; break;
    case "Left Blocks":                 $tmp = "Rediger Rammer til venstre"; break;
    case "Right Blocks":                $tmp = "Rediger Rammer til hjre"; break;
    case "Admin Block":                 $tmp = "Rediger Admin Rammen"; break;
    case "Main Block":                  $tmp = "Hoved Menu Rammen"; break;
    case "Sections Manager":            $tmp = "Vedligehold Afsnit"; break;
    case "Logout / Exit":               $tmp = "Forlad / Afslut"; break;
    case "User doesn't exist!":         $tmp = "Bruger eksister ikke!"; break;
    case "Submit News":                 $tmp = "Tilfj Nyheder"; break;
    case "We allow just one vote per day":      $tmp = "Vi tillader kun en stemme per dag"; break;
    case "Surveys/Polls":               $tmp = "Rediger Afstemning"; break;
    case "HTTP Referers":               $tmp = "HTTP Referers"; break;
    case "Who is linking our site?":    $tmp = "Hvem linker til vores  site?"; break;
    case "Delete Referers":             $tmp = "Slet Referers"; break;
    case "link visited:":               $tmp = "Antal besgte links:"; break;
    case "most linked stories":         $tmp = "De flest linket indslag"; break;
    case "Delete Polls":                $tmp = "Slet Afstemning"; break;
    case "Last":                        $tmp = "Seneste"; break;
    case "Articles":                    $tmp = "Artikler"; break;
    case "Edit":                        $tmp = "Rediger"; break;
    case "Delete":                      $tmp = "Slet"; break;
    case "Current Active Topics":       $tmp = "Nuvrende Aktive Emner"; break;
    case "Click to Edit":               $tmp = "Klik for at redigere"; break;
    case "Add a New Topic":             $tmp = "Tilfj et nyt Emne"; break;
    case "Topic Name:":                 $tmp = "Emne Navn:"; break;
    case "Topic Text:":                 $tmp = "Emne Tekst:"; break;
    case "Topic Image:":                $tmp = "Emne Billede:"; break;
    case "Add Topic!":                  $tmp = "Tilfj Emne!"; break;
    case "(just a name without spaces - max: 20 characters)":   $tmp = "(kun et navn uden mellemrum - max: 20 tegn)"; break;
    case "(the full topic text or description - max: 40 characters)":   $tmp = "(hele emne teksten eller beskrivelse - max: 40 tegn)"; break;
    case "(image name + extension located in":  $tmp = "(navn p billede + filtype som findes i kataloget"; break;
    case "for example: gamesandhobbies":        $tmp = "for eksempel: SpilogHobby"; break;
    case "for example: Games and Hobbies":      $tmp = "for eksempel: Spil og Hobby"; break;
    case "for example: games.gif":      $tmp = "for eksempel: games.gif"; break;
    case "Edit Topic:":                 $tmp = "Rediger Emne:"; break;
    case "Save Changes!":               $tmp = "Gem ndringer!"; break;
    case "Delete Topic":                $tmp = "Slet Emne"; break;
    case "Are you sure you want to delete Topic":       $tmp = "Er du sikker p du vil slette Emne"; break;
    case "This will delete ALL it's stories and it's comments!":        $tmp = "Dette vil slette ALLE artikler og alle kommentarer!"; break;
    case "changerblock":                $tmp = "ndre Ramme"; break;
    case "deleterblock":                $tmp = "Slet Ramme"; break;
    case "makerblock":                  $tmp = "Opret Ramme"; break;
    case "changelblock":                $tmp = "ndre Ramme"; break;
    case "deletelblock":                $tmp = "Slet Ramme"; break;
    case "makelblock":                  $tmp = "Opret Ramme"; break;
    case "Create New Right Block":      $tmp = "Opret Ny ramme i Hjre Side"; break;
    case "Create New Left Block":       $tmp = "Opret Ny ramme i Venstre Side"; break;
    case "Edit Admin Block":            $tmp = "Rediger Admin Rammen"; break;
    case "Are you sure you want to remove Story ID #":  $tmp = "Er du sikker p du vil fjerne artikel ID #"; break;
    case "and all it's comments?":      $tmp = "og alle tilknyttet komentarer?"; break;
    case "Edit Admins":                 $tmp = "Rediger Administratorer"; break;
    case "Add User":                    $tmp = "Opret Bruger"; break;
    case "Update User":                 $tmp = "Opdater Bruger"; break;
    case "User ID":                     $tmp = "Bruger ID"; break;
    case "Preview Story":               $tmp = "Gennemse Artikel"; break;
    case "Past Articles":               $tmp = "Tidligere Artikler"; break;
    case "comment":     $tmp = "kommentar"; break;
    case "comments?":   $tmp = "kommentarer?"; break;
    case "Welcome to":  $tmp = "Velkommen til"; break;
    case "Votes: ":     $tmp = "Antal Stemmer: "; break;
    case "Past Surveys":        $tmp = "Tidligere Afstemninger"; break;
    case "Survey":      $tmp = "Afstemninger"; break;
    case "Total Votes: ":       $tmp = "Afgivet Stemmer: "; break;
    case "Voting Booth":        $tmp = "Stemmeboks"; break;
    case "Other Polls": $tmp = "Andre Afstemninger"; break;
    case "Results":     $tmp = "Resultater"; break;
    case "Your Name":   $tmp = "Dit Navn"; break;
    case "New User":    $tmp = "Opret Ny Bruger"; break;
    case "Title":       $tmp = "Titel"; break;
    case "Be Descriptive, Clear and Simple":    $tmp = "Beskriv klart og simpelt"; break;
    case "bad titles='Check This Out!' or 'An Article'.":       $tmp = "bad titles='Se lige her!' eller 'En Artikel'."; break;
    case "The Scoop":   $tmp = "Omhandler"; break;
    case "HTML is fine, but double check those URLs and HTML tags!":    $tmp = "HTML er ok, men check lige endnu engang disse URLer og HTML tags!"; break;
    case "You must preview once before you can submit": $tmp = "Du skal gennemse mindst n gang inden du gemmer"; break;
    case "Are you sure you included a URL? Did you test them for typos?":       $tmp = "Er du sikker p at du har husket URLen? Har du testet dem for skrive og stave fejl?"; break;
    case "Select Topic":        $tmp = "Vlg Emne"; break;
    case "Thanks for your submission.": $tmp = "Tak for dit bidrag. Vi vil kigge i krystalkuglen, og den kan mske fortlle os at vi skal vise dit indlg. Skriv ls."; break;
    case "We received":         $tmp = "Vi Modtog"; break;
    case "visitors from":       $tmp = "besgende fra"; break;
    case "Operating Systems":   $tmp = "Operativ System"; break;
    case "Unknown":     $tmp = "Ukendt"; break;
    case "Threshold":   $tmp = "Laveste Score"; break;
    case "No Comments": $tmp = "Uden kommentarer"; break;
    case "Nested":      $tmp = "Indrykket"; break;
    case "Flat":        $tmp = "I rkkeflge"; break;
    case "Thread":    $tmp = "Trdet"; break;
    case "Oldest First":        $tmp = "ldste Frst"; break;
    case "Newest First":        $tmp = "Nyeste Frst"; break;
    case "Highest Scores First":        $tmp = "Hjeste Score Frst"; break;
    case "Save":        $tmp = "Gem"; break;
    case "Refresh":     $tmp = "Opdater"; break;
    case "Reply":       $tmp = "Svar"; break;
    case "The comments are owned by the poster. We aren't responsible for their content.":        $tmp = "Alle kommentarer/indlg phviler forfatteren. Vi er ikke ansvarlige for indholdet."; break;
    case "Post Anonymously":    $tmp = "Anonymt indlg"; break;
    case "Post":        $tmp = "Indlg"; break;
    case "Comment":     $tmp = "Kommentar"; break;
    case "Extrans (html tags to text)": $tmp = "Extrans (html tags i tekst)"; break;
    case "HTML Formatted":      $tmp = "HTML Formateret"; break;
    case "Plain Old Text":      $tmp = "Almindelig ASCII tekst"; break;
    case "Subject":     $tmp = "Emne"; break;
    case "Allowed HTML:":       $tmp = "Tilladt HTML:"; break;
    case "User Info":   $tmp = "Bruger Info"; break;
    case "Score: ":     $tmp = "Score: "; break;
    case "by":  $tmp = "af"; break;
// Changed to ""..makes no sense in danish
    case "on":  $tmp = ""; break;
    case "Moderate":    $tmp = "Moderr"; break;
    case "This is your personal page":  $tmp = "Dette er din personlige side. Det vil sikkert have din interesse at lave nogle ndringer. Hvis du vil spilde din tid, s er dette det rette sted."; break;
    case "My HomePage:":        $tmp = "Min Hjemmeside:"; break;
    case "My E-Mail:":          $tmp = "Min E-Mail:"; break;
    case "Extra Info:":         $tmp = "Ekstra Info"; break;
    case "There is no available info for":      $tmp = "Der er ikke yderligere info om"; break;
    case "This web site uses":          $tmp = "Dette web site bruger"; break;
    case "Incorrect Login!":    $tmp = "Forkert Login!"; break;
    case "New User:":   $tmp = "Ny Bruger:"; break;
    case "(Password will be sent to the email address you enter.)":     $tmp = "(Passwordet vil blive sendt til den email adresse du indtastede.)"; break;
    case "Lost your Password?": $tmp = "Glemt Dit Password?"; break;
    case "No problem. Just type your Nickname and click on send button.":       $tmp = "Ikke noget problem. Bare indtast dit kaldenavn og klik p send knappen."; break;
    case "Notice: Account preferences are cookie based.":       $tmp = "Bemrk: Kontoens prferencer er cookie baseret."; break;
    case "more info...":        $tmp = "mere info..."; break;
    case "Sorry, no corresponding user info was found":         $tmp = "Beklager, ingen sammenhnge med bruger info blev fundet"; break;
    case "User Password for":   $tmp = "Bruger Password for"; break;
    case "The user account":    $tmp = "Bruger konto"; break;
    case "at":  $tmp = "ved"; break;
    case "has this email associated with it.":  $tmp = "har denne email tilknyttet."; break;
    case "A web user from":     $tmp = "En web bruger fra"; break;
    case "has just requested that password be sent.":   $tmp = "har bedt om at f tilsendt password."; break;
    case "Your New Password is:":       $tmp = "Dit Nye Password er:"; break;
    case "You can change it after you login at":        $tmp = "Du kan ndre det efter at du har lukket dig ind som"; break;
    case "If you didn't ask for this, don't worry. You are seeing this message, not 'them'. If this was an error just login with your new password.":   $tmp = "Hvis du ikke spugte efter dette, tvilv ikke. Det er kun dig der ser denne meddelse, ikke de 'andre'. Hvis dette er fejlargtigt, s luk dig ind med dit nye password."; break;
    case "Password for":        $tmp = "Password for"; break;
    case "mailed.":     $tmp = "afsendt."; break;
    case "ERROR: Email address already registered":     $tmp = "FEJL: Email adresse er allerede registret"; break;
    case "ERROR: Nickname taken":       $tmp = "FEJL: Kaldenavn er optaget"; break;
    case "ERROR: Name is reserved.":    $tmp = "FEJL: Navnet er reserveret."; break;
    case "ERROR: Invalid email":        $tmp = "FEJL: Forkert email"; break;
    case "ERROR: Email addresses do not contain spaces.":       $tmp = "FEJL: Email adresser indeholder ikke mellemrum."; break;
    case "ERROR: Invalid Nickname":     $tmp = "FEJL: Forkert Kaldenavn"; break;
    case "Nickname is too long. It must be less than 15 characters.":   $tmp = "Kaldenavn er for langt. Det skal vre mindre end 15 tegn."; break;
    case "There cannot be any spaces in the Nickname.":         $tmp = "Der m ikke vre mellemrum i Kaldenavnet."; break;
    case "Finish":      $tmp = "Afslut"; break;
    case "You or someone else has used your email account":     $tmp = "Dig eller en anden har brugt din email konto"; break;
    case "to register an account at":   $tmp = "til at registrer en konto hos"; break;
    case "The following is the member information:":    $tmp = "Her flger medlemmets information:"; break;
    case "-Nickname: ":         $tmp = "-Kaldenavn: "; break;
    case "-Password: ":         $tmp = "-Password: "; break;
    case "Your Password is: ":          $tmp = "Dit Password er: "; break;
    case "You are now registered. You should receive your password at the email account you provided.":         $tmp = "Du er nu registret. Du vil modtage dit password p den email konto som du har opgivet."; break;
    case "Real Name":   $tmp = "Rigtige Navne"; break;
    case "Real Email":  $tmp = "Rigtig  Email"; break;
    case "Fake Email":  $tmp = "Falsk Email"; break;
    case "Your HomePage":       $tmp = "Din Hjemmeside"; break;
    case "Extra Info":  $tmp = "Ekstra Info"; break;
    case "(optional)":  $tmp = "(ikke ndvendig)"; break;
    case "(required)":  $tmp = "(skal udfyldes)"; break;
    case "(This Email will not be public but is required, will be used to send your password if you lost it)":          $tmp = "(Denne E-mail vil ikke vre offenlig, men er ndvendig, da den vil blive brugt til at sende dig dit password i tilflde af at du har glemt det.)"; break;
    case "(This Email will be public. Just type what you want, Spam proof)":            $tmp = "(Denne E-mail er offenlig. Skriv hvad du vil, der er SPAM sikkert)"; break;
    case "(255 characters max. Type what others can know about yourself)":              $tmp = "(255 tegn max. Skriv hvad andre vil vide om dig)"; break;
    case "(type a new password twice to change it)":            $tmp = "(tast det nye password to gange for at skifte det)"; break;
    case "Save Changes":        $tmp = "Gem ndringer"; break;
    case "Both passwords are different. They need to be identical.":    $tmp = "Begge passwords er forskellige. De skal vre ens."; break;
    case "Sorry, your password must be at least":       $tmp = "Beklager, dit password skal vre mindst"; break;
    case "characters long":             $tmp = "tegn langt"; break;
    case "Something screwed up... don't you hate that?":        $tmp = "Noget gik galt....Er det ikke til at brkke sig over?"; break;
    case "Current Active Sections":     $tmp = "Nuvrende Aktive Afsnit"; break;
    case "Add a New Section":   $tmp = "Tilfj et Nyt Afsnit"; break;
    case "Section Name:":       $tmp = "Afsnits Navn:"; break;
    case "(40 characters Max.)":        $tmp = "(40 tegn Max.)"; break;
    case "Add Section!":        $tmp = "Tilfj Afsnit!"; break;
    case "Edit Section:":       $tmp = "Rediger Afsnit:"; break;
    case "Delete Section!":     $tmp = "Slet Afsnit!"; break;
    case "Add Article in Sections":     $tmp = "Tilfj Artikel i Afsnit"; break;
    case "Add Article!":        $tmp = "Tilfj Artikel!"; break;
    case "Edit Article":        $tmp = "Rediger Artikel"; break;
    case "Content":     $tmp = "Indhold"; break;
    case "Delete Article: ":    $tmp = "Slet Artikel: "; break;
    case "Are you sure you want to delete this article?":       $tmp = "Er du sikker p du vil slette denne artikel?"; break;
    case "Are you sure you want to delete section":     $tmp = "Er du sikker p du vil slette dette afsnit"; break;
    case "Delete Section: ":    $tmp = "Slet Afsnit: "; break;
    case "This will delete ALL its articles!":          $tmp = "Dette vil slette ALLE artikeler!"; break;
    case "Welcome to the Special Sections at":  $tmp = "Velkommen til de specielle Afsnit hos"; break;
    case "Here you can find some cool articles not presents in the Home.":      $tmp = "Her vil du finde nogle interssante artikler som du ikke vil finde under Hoved Menuen."; break;
    case "This is Section":     $tmp = "Dette er Afsnit"; break;
    case "Following are the articles published under this section.":    $tmp = "Flgende artikler er publiceret under dette afsnit."; break;
    case "Return to Sections Index":    $tmp = "Tilbage til Index for Afsnit"; break;
    case "Back to":     $tmp = "Tilbage til"; break;
    case "Sections Index":      $tmp = "Index for Afsnit"; break;
    case "All Topics":  $tmp = "Alle Emner"; break;
    case "All Authors": $tmp = "Alle Forfattere"; break;
    case "News number in the Home":     $tmp = "Nyhedsnummer i Hoved Menu"; break;
    case "Activate Personal Menu":      $tmp = "Aktiver Personlig Menu"; break;
    case "(Check this option and the following text will appear in the Home)":  $tmp = "(Afkryds dette valg, og teksten vil fremtrde i Hoved Menuen)"; break;
    case "(You can use HTML code to put links, for example)":   $tmp = "(Du kan bruge HTML kode til dine links, for eksempel)"; break;
    case "Select One Theme":    $tmp = "Vlg et Tema"; break;
    case "This option will change the look for the whole site.":        $tmp = "Denne mulighed vil ndre hele udseende p sitet."; break;
    case "The changes will be valid only to you.":      $tmp = "Disse ndringer berr kun dig."; break;
    case "Each user can view the site with different theme.":   $tmp = "Hver bruger kan se sitet med forskellige temaer."; break;
    case "Display Mode":        $tmp = "Display Mode"; break;
    case "Sort Order":  $tmp = "Sorteringsrkkeflge"; break;
    case "Comments scored less than this setting will be ignored.":     $tmp = "Kommentarer der scorede mindre end disse indstillinger, vil blive ignoreret."; break;
    case "Uncut and Raw":       $tmp = "Rt og Brutalt"; break;
    case "Almost Everything":   $tmp = "Nsten Alt"; break;
    case "Filter Most Anon":    $tmp = "Filtrer de fleste Anonyme"; break;
    case "Score":       $tmp = "Score"; break;
    case "Anonymous posts start at 0, logged in posts start at 1. Moderators add and subtract points.": $tmp = "Anonyme opslag starter ved 0, registret brugeres opslag starter ved 1. Moderator ligger og fratrkker point."; break;
    case "Do Not Display Scores":       $tmp = "Vis Ikke Score"; break;
    case "(Hides score: They still apply, you just don't see them.)":   $tmp = "(Skjuler score: De er der, men du kan ikke se dem.)"; break;
    case "Max Comment Length":  $tmp = "Max Kommentar Lndge"; break;
    case "(Truncates long comments, and adds a Read More link. Set really big to disable)":     $tmp = "(Sammentrkker lange kommentarer og tilfjer en Ls Mere link. St den meget hjt for at frakoble.)"; break;
    case "Posted by ":  $tmp = "Opslag af "; break;
    case "Posted on ":  $tmp = "Opslet  "; break;
    case "on":  $tmp = "p"; break;
    case "Contributed by ":     $tmp = "Bidraget af "; break;
    case "writes":      $tmp = "skriver"; break;
    case "Menu for":    $tmp = "Menu for"; break;
    case "total words in this text)":   $tmp = "ord i denne tekst)"; break;
    case "votes":       $tmp = "stemmer"; break;
    case " on...":      $tmp = " p..."; break;
    case "New Article":         $tmp = "Ny Artikel"; break;
    case "Delete Topic!":       $tmp = "Slet Emne!"; break;
    case "Click to list all articles in this topic":    $tmp = "Afkryds her for en liste af alle artikler i dette emne"; break;
    case "Welcome to the TOP page for": $tmp = "Velkommen til Top 10 $top siden for"; break;
    case "most read stories": $tmp = "mest lste indslag"; break;
    case "read:":     $tmp = "lst:"; break;
    case "times":       $tmp = "gang(e)"; break;
    case "most commented stories":      $tmp = "indslag med flest kommentarer"; break;
    case "comments:":   $tmp = "kommentarer:"; break;
    case "most voted polls":    $tmp = "flest stemmer i Afstemninger"; break;
    case "votes:":      $tmp = "stemmer:"; break;
    case "Edit Article ID:":    $tmp = "Rediger Artikel ID:"; break;
    case "most read articles in special sections":    $tmp = "mest lste artikel i afsnittet Specielle Afsnit"; break;
    case "No Subject":  $tmp = "Intet Emne"; break;
    case "Read the rest of this comment...":    $tmp = "Ls resten af denne kommentar..."; break;
    case "All": $tmp = "Alle"; break;
    case "week":        $tmp = "uge"; break;
    case "weeks":       $tmp = "uger"; break;
    case "month":       $tmp = "mned"; break;
    case "months":      $tmp = "mneder"; break;
    case "most active news submitters": $tmp = "mest aktive bidragsydere til nyheder"; break;
    case "sent news:":  $tmp = "sendt nyhed:"; break;
    case "Delete Article!":     $tmp = "Slet Artikel!"; break;
    case "Banners Administration":      $tmp = "Banner Administration"; break;
    case "Current Active Banners":      $tmp = "Nuvrende Aktive Bannere"; break;
    case "ID":  $tmp = "ID"; break;
    case "Impressions": $tmp = "Eksponeringer"; break;
    case "Imp. Left":   $tmp = "Eksponeringer Tilbage"; break;
    case "Clicks":      $tmp = "Antal klik"; break;
    case "% Clicks":    $tmp = "% Klik"; break;
    case "Client Name": $tmp = "Kunde Navn"; break;
    case "Functions":   $tmp = "Funktioner"; break;
    case "Imp.":        $tmp = "Eksp."; break;
    case "Date Started":        $tmp = "Startdato"; break;
    case "Date Ended":  $tmp = "Slutdato"; break;
    case "Finished Banners":    $tmp = "Afsluttet Bannere"; break;
    case "Advertising Clients": $tmp = "Reklame Kunder"; break;
    case "Active Banners":      $tmp = "Aktive  Bannere"; break;
    case "Contact Name":        $tmp = "Kontakt Person"; break;
    case "Contact Email":       $tmp = "Kontakt Email"; break;
    case "Add a New Banner":    $tmp = "Tilfj et Nyt Banner"; break;
    case "Client Name: ":       $tmp = "Kunde Navn: "; break;
    case "Impressions Purchased: ":     $tmp = "Antal betalte Eksponeringer: "; break;
    case "Image URL: ": $tmp = "Billede URL: "; break;
    case "Click URL: ": $tmp = "Klik URL: "; break;
    case "Add Banner":  $tmp = "Tilfj Banner"; break;
    case "Unlimited":   $tmp = "Ubegrnset"; break;
    case "Add a New Client":    $tmp = "Opret en Ny Kunde"; break;
    case "Client Name: ":       $tmp = "Kunde Navn: "; break;
    case "Contact Name: ":      $tmp = "Kontakt Person: "; break;
    case "Contact Email: ":     $tmp = "Kontakt Email: "; break;
    case "Client Login: ":      $tmp = "Kunde Login: "; break;
    case "Client Password: ":   $tmp = "Kunde Password: "; break;
    case "Add Client":  $tmp = "Opret Kunde"; break;
    case "Delete Banner":       $tmp = "Slet Banner"; break;
    case "Are you sure you want to delete this Banner?":        $tmp = "Er du sikker p du vil slette dette Banner?"; break;
    case "Edit Banner": $tmp = "Rediger Banner"; break;
    case "Add More Impressions: ":      $tmp = "Tilfj flere Eksponeringer: "; break;
    case "Purchased: ": $tmp = "Kbt: "; break;
    case "Made: ":      $tmp = "Lavet: "; break;
    case "Change Banner":       $tmp = "Skift Banner"; break;
    case "Delete Advertising Client":   $tmp = "Slet Reklame Kunde"; break;
    case "You are about to delete client:":     $tmp = "Du er ved at slette en klient:"; break;
    case "and all its Banners!!!":      $tmp = "og alle dets  Bannere!!!"; break;
    case "This client doesn't have any banner running now.":    $tmp = "Denne klient har ingen nuvrende banner krene ijeblikket."; break;
    case "This client has the following ACTIVE BANNERS running in":     $tmp = "Denne klient har flgende AKTIVE BANNERE krene i"; break;
    case "WARNING!!!":  $tmp = "ADVARSEL!!!"; break;
    case "Are you sure you want to delete this Client and ALL its Banners?":    $tmp = "Er du sikker p du vil slette denne Kunde og alle dens banner?"; break;
    case "Edit Advertising Client":     $tmp = "Rediger Reklame Kunde"; break;
    case "Change Client":       $tmp = "ndre Kunde"; break;
    case "has just requested a Confirmation Code to change the password.":      $tmp = "har forespurgt om en bekrftelseskode for at ndre password."; break;
    case "Your Confirmation Code is:":  $tmp = "Din Bekrftelseskode er:"; break;
    case "With this code you can now assign a new password at": $tmp = "Med denne kode kan du nu tildele et nyt password til"; break;
    case "If you didn't ask for this, dont worry. Just delete this Email.":     $tmp = "Hvis du ikke har spurgt om dette, bekymre dig ikke. Slet bare denne Email."; break;
    case "Confirmation Code for":       $tmp = "Bekrftelseskode for"; break;
    case "Send Password":       $tmp = "Send Password"; break;
    case "Confirmation Info":   $tmp = "Du vil modtage en bekrftelseskode per Email. Retuner hertil igen og skriv dit Kaldenavn og Kode, derefter vil modtage dit nye password per Email."; break;
    case "Confirmation Code":   $tmp = "Bekrftelseskode"; break;
    case "User Login":  $tmp = "Bruger Login"; break;
    case "E-Mail: ":    $tmp = "Email: "; break;
    case "Password: ":  $tmp = "Password: "; break;
    case "As a registered user you can:":       $tmp = "Som registret bruger kan du:"; break;
    case "Post comments with your name":        $tmp = "Skrive kommentarer med dit navn"; break;
    case "Send news with your name":    $tmp = "Sende nyheder med dit navn"; break;
    case "Have a personal box in the Home":     $tmp = "Ha' din personlige box i Hoved Menuen"; break;
    case "Select how many news you want in the Home":   $tmp = "Vlg hvor mange nyheder du vil have i Hoved Menuen"; break;
    case "Customize the comments":      $tmp = "Tilret kommentarer"; break;
    case "Select different themes":     $tmp = "Vlg mellem forskellige temaer"; break;
    case "some other cool stuff...":    $tmp = "andre godter..."; break;
    case "Register Now! It's Free!":    $tmp = "Registrer Nu! Der er Gratis!"; break;
    case "We don't sell/give to others your personal info.":    $tmp = "Vi slger/bortgiver ikke dine personlige informationer."; break;
    case "Nickname: ":  $tmp = "Kaldenavn: "; break;
    case "Confirmation Code: ": $tmp = "Bekrftelseskode:"; break;
    case "most active authors": $tmp = "mest aktive bidragsydere"; break;
    case "news published:":     $tmp = "publiceret nyheder:"; break;
    case "previous matches":    $tmp = "forrige sammenligninger"; break;
    case "next matches":        $tmp = "nste sammenligninger"; break;
    case "Are you sure you want to delete": $tmp = "Er du sikker p at du vil slette"; break;
    case "Browsers":                    $tmp = "Browsers"; break;
    case "Main":                        $tmp = "Hoved Menu"; break;
    case "Admin":                       $tmp = "Admin"; break;
    case "Left":                        $tmp = "Venstre"; break;
    case "Right":                       $tmp = "Hjre"; break;
    case "Authors":                     $tmp = "Forfattere"; break;
    case "Users":                       $tmp = "Brugere"; break;
    case "bytes more":                  $tmp = "bytes mere"; break;
    case "ChangeStory":                 $tmp = " Gem ndret Indslag "; break;
    case "RemoveStory":                 $tmp = " Fjern Indslag "; break;
    case "Content:":                    $tmp = "Indhold:"; break;
    case "Create new poll":             $tmp = "Opret ny afstemning"; break;
    case "Create":                      $tmp = "Opret"; break;
    case "Current Poll:":               $tmp = "Nuvrende Afstemning: "; break;
    case "Delete Author":               $tmp    = "Slet Info "; break;
    case "DeleteStory":                 $tmp    = " Slet Indslag "; break;
    case "DisplayStory":                $tmp = " Vis Indslag "; break;
    case "Edit Left Blocks":            $tmp = "Rediger Rammer i Venstre Side"; break;
    case "Edit Admin Block":            $tmp = "Rediger Admin Rammen"; break;
    case "Edit Right Blocks":           $tmp = "Rediger Rammer i Hjre side"; break;
    case "Edit Main Block":             $tmp = "Rediger Hoved Menu Rammen"; break;
    case "Extended Text":               $tmp    = "NyhedsTekst"; break;
    case "New Poll":                    $tmp    = "Ny Afsteminig"; break;
    case "View Results":                $tmp    = "Se Resultater"; break;
    case "Delete Poll":                 $tmp    = "Slet Afstemning"; break;
    case "EditStory":                   $tmp = " Rediger Indslag "; break;
    case "Email":                       $tmp    = "Email"; break;
    case "Full Text":                   $tmp    = "Hele Teksten"; break;
    case "Go home":                     $tmp    = "G til Hovedsiden"; break;
    case "Go!":                         $tmp    = "Ok"; break;
    case "Handle":                      $tmp    = "Kaldenavn"; break;
    case "Intro Text":                  $tmp    = "Intro Tekst"; break;
    case "Logged out":                  $tmp    = "Forladt"; break;
    case "Logout":                      $tmp = "Forlad"; break;
    case "Modify Info":                 $tmp    = "ndre Info"; break;
    case "Name":                        $tmp    = "Navn"; break;
    case "Name:":                       $tmp    = "Navn:"; break;
    case "No New Submission":           $tmp = "Ingen nye Indlg"; break;
    case "No New Submissions":          $tmp = "Ingen nye Indlg"; break;
    case "No":                          $tmp    = "Nej"; break;
    case "Notes":                       $tmp    = "Bemrkninger"; break;
    case "Option":                      $tmp    = "Mulighed"; break;
    case "Password":                    $tmp    = "Password"; break;
    case "Parent":                      $tmp    = "Forrige"; break;
    case "Read More...":                $tmp    = "Ls mere..."; break;
    case "Retype Passowrd":             $tmp="Gentag Password"; break;
    case "Please choose a poll from the list below.": $tmp = "Vlg venligst en afstemning fra listen nedenfor."; break;
    case "Please enter each available option into a single field": $tmp = "Indtast venligst alle muligheder i et enkelt felt."; break;
    case "Polltitle":                   $tmp    = "Afstemningstitel"; break;
    case "Post NEW Article":            $tmp = "Opret NY Artikel"; break;
    case "PostAdminStory":              $tmp    = "Opret Indslag"; break;
    case "PostStory":                   $tmp    = " Opret Indslag "; break;
    case "PreviewAdminStory":           $tmp    = "Gennemse Indslag"; break;
    case "PreviewAgain":                $tmp    = " Gennemse Igen "; break;
    case "Remove an existing poll":     $tmp    = "Fjern en eksisterende afstemning"; break;
    case "Remove existing poll":        $tmp = "Fjern eksisterende afstemning"; break;
    case "Remove":                      $tmp    = "Fjern"; break;
    case "Retype Password":             $tmp    = "Gentag Password"; break;
    case "Search":                      $tmp = "Sg"; break;
    case "Search in":                   $tmp = "Sg i"; break;
    case "Sorry, the new passwords do not match. Click back and try again":     $tmp    = "Beklager, det nye password stemmer ikke overens. Tryk Tilbage og prv igen"; break;
    case "Story ID:":                   $tmp = "Indslag ID:"; break;
    case "Subject":                     $tmp    = "Emne"; break;
    case "The Story":                   $tmp    = "Indledning"; break;
    case "Title:":                      $tmp = "Titel:"; break;
    case "Topic":                       $tmp = "Emne"; break;
    case "Topics Manager":              $tmp = "Hndtering af Emner"; break;
    case "URL":                         $tmp    = "URL"; break;
    case "Update Author":               $tmp    = " Opdater Administrator "; break;
    case "View poll results":           $tmp    = "Vis afstemningsresultater"; break;
    case "View":                        $tmp    = " Se "; break;
    case "WARNING: The chosen poll will be removed IMMEDIATELY from the database!":     $tmp    = "ADVARSEL: Den valgte afstemning vil blive fjernet JEBLIKKELIGT fra databasen!"; break;
    case "Yes":                         $tmp    = "Ja"; break;
    case "You are now logged out":      $tmp    = "Du er nu logget ud"; break;
    case "adminMain":                   $tmp = "adminMain"; break;
    case "adminStory":                  $tmp = "adminStory"; break;
    case "bad pass":                    $tmp    = "bad pass"; break;
    case "blocks":                      $tmp = "rammer"; break;
    case "changeblock":                 $tmp = " ndre Ramme "; break;
    case "create":                      $tmp    = "opret"; break;
    case "createPosted":                $tmp    = "opretIndslag"; break;
    case "current authors":             $tmp    = "nuvrende forfatter"; break;
    case "datestring":                  $tmp = "%A, %d %B @ %T %Z"; break;
    case "deladmin":                    $tmp    = "Slet Admin"; break;
    case "deladminconf":                $tmp    = "Slet Admin Konfig."; break;
    case "delete":                      $tmp    = "slet"; break;
    case "deleteblock":                 $tmp = " Slet Ramme "; break;
    case "Login":                       $tmp    = " Login "; break;
    case "logout":                      $tmp    = "forlad"; break;
    case "makeblock":                   $tmp = " Lav Ramme "; break;
    case "mod_authors":                 $tmp    = "mod_authors"; break;
    case "modifyadmin":                 $tmp    = "ndre Admin"; break;
    case "remove":                      $tmp    = "fjern"; break;
    case "removePosted":                $tmp    = " Fjern Indslaget "; break;
    case "update":                      $tmp    = "opdater"; break;
    case "view":                        $tmp    = "vis"; break;
    case "viewPosted":                  $tmp    = " Vis Indslaget "; break;
    case "AdminID":                     $tmp    = "Admin ID";break;
    case "Edit Users":                  $tmp    = "Rediger Brugere";break;
    case "user":                        $tmp    = "Bruger";break;
    case "Modify User":                 $tmp    = "ndre Bruger";break;
    case "Delete User":                 $tmp    = "Slet Bruger";break;
    case "Handle/UserID":               $tmp    = "Bruger ID";break;
    case "* indicates compulsory fields": $tmp = "* Indikere at feltet skal udfyldes"; break;
    case "You must complete all compulsory fields":     $tmp    = "Du skal udfylde alle de tvungne felter"; break;
    case "This Section has":            $tmp    = "Dette Afsnit har";break;
    case "Articles attached":           $tmp    = "Artikler tilfjet";break;

// Added for PHP-Nuke 2.0 (translations needed for supported languages)

    case "Miscelaneous Stats":          	$tmp    = "Diverse Statistikker"; break;
    case "Registered Users: ":          	$tmp    = "Registret Brugere: "; break;
    case "Active Authors: ":            	$tmp    = "Nuvrende Bidragsydere: "; break;
    case "Stories Published: ":         	$tmp    = "Publiseret Nyheder: "; break;
    case "Comments Posted: ":           	$tmp    = "Kommentarer Opslet: "; break;
    case "Special Sections: ":          	$tmp    = "Specielle Afsnit: "; break;
    case "Articles in Sections: ":      	$tmp    = "Artikler i Afsnit: "; break;
    case "News Waiting to be Published: ":  	$tmp    = "Nyheder der venter p at blive publiceret: "; break;
    case "Active Topics: ":           		$tmp    = "Nuvrende Emner: "; break;
    case "linksdatestring":			$tmp 	= "%d-%b-%Y"; break;
    case "Section Image:":      	      	$tmp    = "Billed i Afsnit:"; break;
    case "(example: opinion.gif)":            	$tmp    = "(eksempel: opinion.gif)"; break;
    case "Web Links":        		    	$tmp    = "Web Links"; break;
    case "There are":        	    		$tmp    = "Der er"; break;
    case "Links in our Database":    		$tmp    = "Links i vores Database"; break;
    case "Add a MAIN Category":	    		$tmp    = "Tilfj en HOVED katgori"; break;
    case "Name: ":        		    	$tmp    = "Navn: "; break;
    case "Add":        		    		$tmp    = "Tilfj"; break;
    case "Add a SUB-Category":        		$tmp    = "Tilfj en UNDER-Katgori"; break;
    case "in":        		    		$tmp    = "i"; break;
    case "Add a New Link":        		$tmp    = "Tilfj et nyt Link"; break;
    case "Page Title: ":        		$tmp    = "Overskrift: "; break;
    case "Page URL: ":        		    	$tmp    = "Side URL: "; break;
    case "Category: ":        		    	$tmp    = "Katgori: "; break;
    case "Description: (255 characters max)":   $tmp    = "Beskrivelse: (255 tegn max)"; break;
    case "Add URL":        		    	$tmp    = "Tilfj et link"; break;
    case "Modify Category":        		$tmp    = "ndre Katgori"; break;
    case "Modify":        		    	$tmp    = "ndre"; break;
    case "Modify Links":        		$tmp    = "ndre Links"; break;
    case "Link ID: ":        		    	$tmp    = "Link ID: "; break;
    case "Description: ":        		$tmp    = "Beskrivelse: "; break;
    case "Links Waiting for Validation":        $tmp    = "Links der venter p validering"; break;
    case "Visit":        		    	$tmp    = "Besg"; break;
    case "Hits: ":        		    	$tmp    = "Hits: "; break;
    case "Email: ":        		    	$tmp    = "Email: "; break;
    case "Category Name: ":        		$tmp    = "Katgori Navn: "; break;
    case "Sub-Category Name: ":        		$tmp    = "Under-Katgori Navn: "; break;
    case "WARNING: Are you sure you want to delete this Category and ALL its Links?":		$tmp    = "ADVARSEL: Er du sikker p at du vil slette denne Katgori og ALLE dets Links?"; break;
    case "ERROR: The Category":        		$tmp    = "FEJL: Katgorien"; break;
    case "already exist!":        		$tmp    = "eksister allerede!"; break;
    case "ERROR: The SubCategory":        	$tmp    = "FEJL: Under Katgorien"; break;
    case "ERROR: This URL is already listed in the Database!":			$tmp    = "FEJL: Denne URL findes allerede i Databasen!"; break;
    case "ERROR: You need to type a URL for your URL!":				$tmp    = "FEJL: Du skal indtaste URL'en !"; break;
    case "ERROR: You need to type a TITLE for your URL!":			$tmp    = "FEJL: Du skal indtaste en TITEL til din URL!"; break;
    case "ERROR: You need to type a DESCRIPTION for your URL!":			$tmp    = "FEJL: Du skal indtaste en BESKRIVELSE til din URL!"; break;
    case "New Link added to the Database":	$tmp    = "Nyt Link tilfjet til Databasen"; break;
    case "Your Link at": 	    		$tmp    = "Dit Link til"; break;
    case "Hello":      		    		$tmp    = "Hallo"; break;
    case "We approved your link submission for our search engine.":		$tmp    = "Vi godkendte dit link som du har bidraget med, til vores sgemaskine."; break;
    case "You can browse our search engine at:":	$tmp    = "Du kan gennemse vores sgemaskine p:"; break;
    case "Thanks for your submission!":		$tmp    = "Tak for dit bidrag!"; break;
    case "team.": 		    		$tmp    = "team."; break;
    case "HOME":        		 	$tmp    = "HOVED MENUEN"; break;
    case "Links Main":        		    	$tmp    = "Oversigt af Links"; break;
    case "Add URL":        		    	$tmp    = "Tilfj et link"; break;
    case "New Links":        		    	$tmp    = "Nye Links"; break;
    case "The Best":        		    	$tmp    = "Mest besgte links"; break;
    case "Random Link":        		    	$tmp    = "Tilfldigt Link"; break;
    case "Your Name: ":        		    	$tmp    = "Dit Navn: "; break;
    case "Your Email: ":       		    	$tmp    = "Din Email: "; break;
    case "We received your Link submission. Thanks!":	$tmp    = "Vi har modtaget dit Link bidrag. Tak!"; break;
    case "You'll receive and E-mail when it's approved.":	$tmp    = "Du vil modtage et E-mail, nr det er godkendt."; break;
    case "Links Added to Database":		$tmp    = "Links tilfjet til Database"; break;
    case "Added on: ":        		    	$tmp    = "Tilfjet den: "; break;
    case "Edit This Link":        		$tmp    = "Rediger Dette Link"; break;
    case "The":        		    		$tmp    = "De"; break;
    case "Most Visited Links":         		$tmp    = "Mest Besgte Links"; break;
    case "SubCategories":        		$tmp    = "Under Katgori"; break;
    case "Popular Site!":        		$tmp    = "Populrt Site!"; break;
    case "Previous Page":        		$tmp    = "Forrige Side"; break;
    case "Next Page":           		$tmp    = "Nste Side"; break;
    case "Main":      		    		$tmp    = "Hoved"; break;
    case "Search Results for: ":       		$tmp    = "Sgeresultat for: "; break;
    case "Try to search":  	  		$tmp    = "Prv at sg"; break;
    case "in others Search Engines":   		$tmp    = "p andre Sge Maskiner"; break;
    case "No matches found to your query":	$tmp 	= "Sgning gav intet resultat"; break;
    case "Links":				$tmp 	= "Links"; break;
    case "Links in Web Links: ":		$tmp 	= "Links i Web Links: "; break;
    case "Categories in Web Links: ":		$tmp 	= "Katgorier i Web Links: "; break;
    case "New Submissions: ":			$tmp 	= "Nye Bidrag: "; break;
    case "Configure":				$tmp 	= "Indstillinger"; break;
    case "Login/Create Account":		$tmp 	= "Login/Opret Konto"; break;
    case "datestring2":				$tmp 	= "%A, %d %B"; break;

// Added for PHP-Nuke 3.5

    case "Ephemerids":				$tmp	= "Events"; break;
    case "Add Ephemerid:":				$tmp	= "Tilfj Event:"; break;
    case "Day:":					$tmp	= "Dag:"; break;
    case "Month:":				$tmp	= "Mned:"; break;
    case "Year:":					$tmp	= "r:"; break;
    case "Ephemerid Description:":		$tmp	= "Event Beskrivelse :"; break;    
    case "Ephemerid Maintenance (Edit/Delete):":	$tmp	= "Vedligehold Events (Redigr/Slet):"; break;
    case "Send":					$tmp	= "Send"; break;
    case "Ephemerids Maintenance":		$tmp	= "Vedligehold Events"; break;
    case "Edit Ephemerid:":				$tmp	= "Redigr Event:"; break;
    case "One Day like Today...":		$tmp	= "P en dag som idag..."; break;

// Added for PHP-Nuke 4.0

    case "comments":				$tmp	= "kommentarer"; break;
    case "Printer Friendly Page":		$tmp	= "Printer venlig side"; break;
    case "Send this Story to a Friend":		$tmp	= "Send denne nyhed til en ven"; break;
    case "Send Story to a Friend":		$tmp	= "Send nyhed til en ven"; break;
    case "You will send the story":		$tmp	= "Du nsker at sende denne nyhed"; break;
    case "to a specified friend:":		$tmp	= "til en udvalgt ven:"; break;
    case "Friend Name: ":			$tmp	= "Vens Navn: "; break;
    case "Friend Email: ":			$tmp	= "Vens Email: "; break;
    case "Interesting Article at":		$tmp	= "En interssant artikel p"; break;
    case "Your Friend":				$tmp	= "Din ven"; break;
    case "considered the following article interesting and wanted to send it to you.":		$tmp	= "fandt denne nyhed interssant, og nskede at sende den til dig."; break;
    case "Date:":				$tmp	= "Dato:"; break;
    case "Topic:":				$tmp	= "Emne:"; break;
    case "You can read interesting articles at":	$tmp	= "Du kan lse interssante nyheder p"; break;
    case "Story":				$tmp	= "Nyhed"; break;
    case "has been sent to":			$tmp	= "er sendt til"; break;
    case "Thanks!":				$tmp	= "Tak!"; break;
    case "This article comes from":		$tmp	= "Denne nyhed kommer fra"; break;
    case "PHP-Nuke version: ":			$tmp	= "PHP-Nuke version: "; break;
    case "Older Articles":			$tmp	= "ldre nyheder"; break;
    case "Add Related Links:":			$tmp	= "Tilfj beslgtet Links:"; break;
    case "Site Name: ":				$tmp	= "Sitet's Navn: "; break;
    case "URL: ":				$tmp	= "URL: "; break;
    case "Active Related Links:":		$tmp	= "Aktiv beslgtet Links:"; break;
    case "Edit Related Link":			$tmp	= "Redigr beslgtet Links"; break;
    case "Related Links":			$tmp	= "Beslgtet Links"; break;
    case "More about":				$tmp	= "Mere om"; break;
    case "News by":				$tmp	= "Nyhed af"; break;
    case "Most read story about":		$tmp	= "Mest lste nyhed om"; break;
    case "Current Survey Voting Booth":		$tmp	= "Nuvrende Afstemningsboks"; break;
    case "Last news about":			$tmp	= "Seneste nyhed om"; break;
    case "Nickname":				$tmp	= "Kaldenavn"; break;
    case "Don't have an account yet? You can":	$tmp	= "Har du ingen konto, endnu? Du kan"; break;
    case "create one":				$tmp	= "oprette n"; break;
    case "As registered":			$tmp	= "Som registreret"; break;
    case "user you have some advantages like theme manager,":	$tmp	= "har du en del fordele, ssom at kunne vlge mellem forskellige temaer,"; break;
    case "comments configuration and post comments with your name.":	$tmp	= "konfigurr kommentare og opsl kommentarer med dit navn."; break;
    case "Online Help":				$tmp	= "Online Hjlp"; break;
    case "Search Engines":			$tmp	= "Sge Maskiner"; break;
    case "Robots - Spiders":			$tmp	= "Roboter - Web Crawler"; break;
    case "New Stories Submissions":		$tmp	= "New Stories Submissions"; break;
    case "File Manager":			$tmp	= "Fil Manager"; break;
    case "Upload":				$tmp	= "Upload"; break;
    case "Site Name":				$tmp	= "Site Navn"; break;
    case "Status":				$tmp	= "Status"; break;
    case "Headlines":				$tmp	= "Overskrifter"; break;
    case "Active":				$tmp	= "Aktiv"; break;
    case "Inactive":				$tmp	= "Inaktiv"; break;
    case "Add Headline":			$tmp	= "Tilfj Overskrift"; break;
    case "Site Name:":				$tmp	= "Site Navn:"; break;
    case "URL:":				$tmp	= "URL:"; break;
    case "URL for the RDF/XML file:":		$tmp	= "URL til RDF/XML fil:"; break;
    case "Edit Headline":			$tmp	= "Redigr Overskrift Headline"; break;
    case "Status:":				$tmp	= "Status:"; break;
    case "Search on:":				$tmp	= "Sg p:"; break;
    case "Stories":				$tmp	= "Nyheder"; break;
    case "Comments":				$tmp	= "Kommentarer"; break;
    case "The URL for this story is:":		$tmp	= "URL'en for denne nyhed er:"; break;
    case "Sections":				$tmp	= "Afsnit"; break;
    case "General Site Info":			$tmp	= "Generelt Site Info"; break;
    case "Site URL:":				$tmp	= "Site URL:"; break;
    case "Site Logo:":				$tmp	= "Site Logo:"; break;
    case "Site Slogan:":			$tmp	= "Site Slogan:"; break;
    case "Site Start Date:":			$tmp	= "Site Start Dato:"; break;
    case "Administrator Email:":		$tmp	= "Administrator Email:"; break;
    case "Number of items in TOP Page:":	$tmp	= "Antal af punkter p TOP siden:"; break;
    case "Stories Number in the Home:":		$tmp	= "Antal af nyheder p Forsiden:"; break;
    case "Stories in Old Articles Box:":	$tmp	= "Nyheder i rammen Tidligere Nyheder:"; break;
    case "Activate Ultramode?":			$tmp	= "Aktivr Ultramode?"; break;
    case "Allow Anonymous to Post?":		$tmp	= "Tillad Anonyme at lave opslag?"; break;
    case "Default Theme for your Site:":	$tmp	= "Standard tema for dit site:"; break;
    case "Select the Language for your Site:":	$tmp	= "Vlg sprog for dit site:"; break;
    case "Locale Time Format:":			$tmp	= "Lokalt Dato/Tid Format:"; break;
    case "Banners Options":			$tmp	= "Banner Muligheder"; break;
    case "Activate Banners in your site?":	$tmp	= "Aktivr Bannere p dit Site?"; break;
    case "Your IP to not count the hits:":	$tmp	= "Din IP adresse, som ikke tlles med i antal hits:"; break;
    case "Footer Messages":			$tmp	= "Sidefod meddelser"; break;
    case "Footer Line 1:":			$tmp	= "Sidefod Linie 1:"; break;
    case "Footer Line 2:":			$tmp	= "Sidefod Linie 2:"; break;
    case "Footer Line 3:":			$tmp	= "Sidefod Linie 3:"; break;
    case "Footer Line 4:":			$tmp	= "Sidefod Linie 4:"; break;
    case "Backend Configuration":		$tmp	= "Backend Konfiguration"; break;
    case "Backend Title:":			$tmp	= "Backend Titel:"; break;
    case "Backend Language:":			$tmp	= "Backend Sprog:"; break;
    case "Backend Image URL:":			$tmp	= "Backend Billed URL:"; break;
    case "Backend Image Width:":		$tmp	= "Backend Billed Bredde:"; break;
    case "Backend Image Height:":		$tmp	= "Backend Billed Hjde:"; break;
    case "Web Links Default Config":		$tmp	= "Web Links standard Konfiguration"; break;
    case "Links per Page:":			$tmp	= "Links per Side:"; break;
    case "Hits to be Popular:":			$tmp	= "Markr med en stjerne, mest populre Hits for hver:"; break;
    case "Number of Links as New:":		$tmp	= "Antal af nye Links:"; break;
    case "Number of Links as Best:":		$tmp	= "Antal af de bedste Links:"; break;
    case "Links in Search Results:":		$tmp	= "Antal Links i Sgeresultater:"; break;
    case "Mail New Stories to Admin":		$tmp	= "Send mail med nyhed til Admin"; break;
    case "Notify new submissions by email?":	$tmp	= "Gr opmrksom p nye opslag via email?"; break;
    case "Email to send the message:":		$tmp	= "Emailadresse hvor beskeden skal sendes til:"; break;
    case "Email Subject:":			$tmp	= "Email Emne:"; break;
    case "Email Message:":			$tmp	= "Email Besked:"; break;
    case "Email Account (From):":		$tmp	= "Email Konto (Fra):"; break;
    case "Comments Moderation":			$tmp	= "Modereret Kommentarer"; break;
    case "Type of Moderation:":			$tmp	= "Modererings type:"; break;
    case "Moderation by Admin":			$tmp	= "Modereret af Administrator"; break;
    case "Moderation by Users":			$tmp	= "Modereret af Brugere"; break;
    case "No Moderation":			$tmp	= "Ingen Moderering"; break;
    case "Comments Options":			$tmp	= "Kommentar muligheder"; break;
    case "Comments Limit in Bytes:":		$tmp	= "Maximum antal Bytes i en kommentar"; break;
    case "Anonymous Default Name:":		$tmp	= "Brug hvilket Navn istedet for Anonym:"; break;
    case "Voting Booth Options":		$tmp	= "Afstemningsboks muligheder"; break;
    case "Max Poll Options:":			$tmp	= "Max antal muligheder at vlge imellem:"; break;
    case "Scale of Result Bar:":		$tmp	= "Skalaforhold af resultat bar:"; break;
    case "Allow users to vote twice?":		$tmp	= "Tillad Brugere at stemme to gange?"; break;
    case "Some Graphics Stuff":			$tmp	= "Diverse Grafik Ting"; break;
    case "Topics Images Path:":			$tmp	= "Sti til Emne billeder:"; break;
    case "User Menu Images Path:":		$tmp	= "Sti til Bruger billeder:"; break;
    case "Admin Menu Images Path:":		$tmp	= "Sti til billeder i Administrator Menuen:"; break;
    case "Miscelaneous":			$tmp	= "Diverse"; break;
    case "Articles Number in Admin:":		$tmp	= "Antal nyheder der vises p Administratorsiden:"; break;
    case "Minimum users password length:":	$tmp	= "Minimum lngde i Bruger password:"; break;
    case "Activate HTTP Referers?":		$tmp	= "Aktivr HTTP Referers?"; break;
    case "How Many Referers you want as Maximum?":	$tmp	= "Hvor mange  Referers skal der maximalt vre?"; break;
    case "Activate Comments in Polls?":		$tmp	= "AktivrKommentarer i Afstemninger?"; break;
    case "Activate Ephemerids System?":		$tmp	= "Aktivr Event delen i systemet?"; break;
    case "Site Font:":				$tmp	= "Site Fonte:"; break;
    case "Graphics in Administration Menu?":	$tmp	= "Grafisk i Administrations Menuen?"; break;
    case "WARNING: Are you sure you want to delete this Headline?":	$tmp	= "ADVARSEL: Er du sikker p at du vil slette denne Overskrift?"; break;
    case "Server Info":				$tmp	= "Server Info"; break;
    case "Local Time:":				$tmp	= "Local Tid:"; break;
    case "Uptime:":				$tmp	= "Oppetid:"; break;
    case "CPU Type:":				$tmp	= "CPU Type:"; break;
    case "Level II Cache:":			$tmp	= "Level II Cache:"; break;
    case "RAM Installed:":			$tmp	= "RAM Instaleret:"; break;
    case "Bogomips:":				$tmp	= "Bogomips:"; break;
    case "Memory Status":			$tmp	= "Hukommelses Status"; break;
    case "Total":				$tmp	= "Total"; break;
    case "Usage":				$tmp	= "Bruges"; break;
    case "Used:":				$tmp	= "Brugt:"; break;
    case "Free":				$tmp	= "Ledig"; break;
    case "buffered":				$tmp	= "buffered"; break;
    case "cached":				$tmp	= "cached"; break;
    case "Swap Status":				$tmp	= "Swap Status"; break;
    case "Total:":				$tmp	= "Total:"; break;
    case "Usage:":				$tmp	= "Bruges:"; break;
    case "Used:":				$tmp	= "Brugt:"; break;
    case "Free:":				$tmp	= "Ledig:"; break;
    case "Partitions Status":			$tmp	= "Partition Status"; break;
    case "Mount":				$tmp	= "Mount'et"; break;
    case "Size":				$tmp	= "Strelse"; break;
    case "Used":				$tmp	= "Brugt"; break;
    case "Percent":				$tmp	= "Procent"; break;
    case "Preferences":				$tmp	= "Fortrukne"; break;
    case "Activate Advanced Stats Page?":	$tmp	= "Aktivr  Avanceret Statistik sider?"; break;
    case "Listing directory":			$tmp	= "Nuvrende Katalog"; break;
    case "Changed to root directory":		$tmp	= "Skiftet til rodkataloget"; break;
    case "Displaying PHP Environment":		$tmp	= "Vis PHP miljet"; break;
    case "Changed directory to":		$tmp	= "Skiftet katalog til"; break;
    case "Touched":				$tmp	= "Rrt"; break;
    case "Deleted":				$tmp	= "Slettet"; break;
    case "Are you sure you want to DELETE":	$tmp	= "Er du sikker p at du vil SLETTE"; break;
    case "YES!":				$tmp	= "JA!"; break;
    case "NO!":					$tmp	= "NEJ!"; break;
    case "Destination file already exists. Aborted.":		$tmp	= "Filen findes der allerede. Afbrudt."; break;
    case "Copied":				$tmp	= "Kopieret"; break;
    case "Moved/renamed":			$tmp	= "Flyttet/omdbt"; break;
    case "Moving/renaming or copying":		$tmp	= "Flytter/omdber eller kopier"; break;
    case "Copy":				$tmp	= "Kopier"; break;
    case "Move/rename":				$tmp	= "Flyt/omdb"; break;
    case "Edited":				$tmp	= "Redigret"; break;
    case "Editing":				$tmp	= "Redigr"; break;
    case "Displaying":				$tmp	= "Viser"; break;
    case "The directory":			$tmp	= "Kataloget"; break;
    case "Created the directory":		$tmp	= "Oprettede katalog"; break;
    case "Created":				$tmp	= "Oprettede"; break;
    case "already exists.":			$tmp	= "eksistere allerede."; break;
    case "Creating":				$tmp	= "Opretter"; break;
    case "Untitled":				$tmp	= "Unavngivet"; break;
    case "Uploaded":				$tmp	= "Upload'et"; break;
    case "Current Directory is:":		$tmp	= "Nuvrende Katalog er:"; break;
    case "Refresh":				$tmp	= "Opdater"; break;
    case "Back to root":			$tmp	= "Tilbage til roden"; break;
    case "Type":				$tmp	= "Type"; break;
    case "Name":				$tmp	= "Navn"; break;
    case "Size":				$tmp	= "Strelse"; break;
    case "Modified":				$tmp	= "ndret"; break;
    case "Action":				$tmp	= "Handling"; break;
    case "Parent directory":			$tmp	= "Forrige Katalog"; break;
    case "Change working directory to":		$tmp	= "Skift fra nuvrende katalog til"; break;
    case "Move, rename or copy":		$tmp	= "Flyt,Omdb eller kopir"; break;
    case "Touch":				$tmp	= "Rrt"; break;
    case "Last 10 comments by":			$tmp	= "Seneste 10 kommentarer af"; break;
    case "Last 10 news submissions sent by":	$tmp	= "Sneste 10 nyhedsopslag indsendt af"; break;
    case "No name entered":			$tmp	= "Intet Navn Opgivet"; break;
    case "Recommend this Site to a Friend":	$tmp	= "Anbefal dette Site til en Ven"; break;
    case "considered our site":			$tmp	= "fandt vores site"; break;
    case "interesting and wanted to send it to you.":		$tmp	= "interssant og nskede at sende dette til dig."; break;
    case "The reference of our site has been sent to":		$tmp	= "Vores reference er sendt til"; break;
    case "Thanks for recommend us!":		$tmp	= "Tak for at anbefale os!"; break;

// Added for PHP-Nuke 4.3

    case "Auto Articles":			$tmp	= "Auto Articles"; break;
    case "Submissions":				$tmp	= "Submissions"; break;
    case "Online Manual":			$tmp	= "Online Manual"; break;
    case "There are currently,":		$tmp	= "There are currently,"; break;
    case "guest(s) and":			$tmp	= "guest(s) and"; break;
    case "member(s) that are online.":		$tmp	= "member(s) that are online."; break;
    case "Who's Online":			$tmp	= "Who's Online"; break;
    case "You are logged as":			$tmp	= "You are logged as"; break;
    case "You are Anonymous user. You can register for free by clicking <a href=user.php>here</a>.":	$tmp	= "You are Anonymous user. You can register for free by clicking <a href=user.php>here</a>."; break;
    case "There isn't a Biggest Story for Today, yet.":		$tmp	= "There isn't a Biggest Story for Today, yet."; break;
    case "Today's most read Story is:":		$tmp	= "Today's most read Story is:"; break;
    case "Today's Big Story":			$tmp	= "Today's Big Story"; break;
    case "nickname":				$tmp	= "nickname"; break;
    case "real name":				$tmp	= "real name"; break;
    case "fake email":				$tmp	= "fake email"; break;
    case "url":					$tmp	= "url"; break;
    case "Members List":			$tmp	= "Members List"; break;
    case "Greetings to our latest registered user:":		$tmp	= "Greetings to our latest registered user:"; break;
    case "Current Online Registered Users:":	$tmp	= "Current Online Registered Users:"; break;
    case "We have":				$tmp	= "We have"; break;
    case "registered users so far. There are":	$tmp	= "registered users so far. There are"; break;
    case "registered user(s) online right now.":	$tmp	= "registered user(s) online right now."; break;
    case "registered users so far.":		$tmp	= "registered users so far."; break;
    case "No Members Found for":		$tmp	= "No Members Found for"; break;
    case "Programmed Articles":			$tmp	= "Programmed Articles"; break;
    case "When do you want to publish this story?":	$tmp	= "When do you want to publish this story?"; break;
    case "Now is:":				$tmp	= "Now is:"; break;
    case "Day:":				$tmp	= "Day:"; break;
    case "Month:":				$tmp	= "Month:"; break;
    case "Year:":				$tmp	= "Year:"; break;
    case "Hour:":				$tmp	= "Hour:"; break;
    case "Preview Automated Story":		$tmp	= "Preview Automated Story"; break;
    case "Preview Again":			$tmp	= "Preview Again"; break;
    case "Save Auto Story":			$tmp	= "Save Auto Story"; break;
    case "in the Section":			$tmp	= "in the Section"; break;
    case "reads":				$tmp	= "reads"; break;
    case "page views since":			$tmp	= "page views since"; break;
    case "Edit Automated Story":		$tmp	= "Edit Automated Story"; break;
    case "Add Link":		$tmp	= ""; break;
    case "New":		$tmp	= ""; break;
    case "Popular":		$tmp	= ""; break;
    case "Top Rated":		$tmp	= ""; break;
    case "Random":		$tmp	= ""; break;
    case "Link Comments":		$tmp	= ""; break;
    case "Additional Details":		$tmp	= ""; break;
    case "Editor Review":		$tmp	= ""; break;
    case "Modify":		$tmp	= ""; break;
    case "Report Broken Link":		$tmp	= ""; break;
    case "Submit a unique link only once.":		$tmp	= ""; break;
    case "Username and IP are recorded, so please don't abuse the system.All links are posted pending verification.":		$tmp	= "Username and IP are recorded, so please don't abuse the system."; break;
    case "You are not a registered user or you have not logged in.":		$tmp	= "You are not a registered user or you have not logged in."; break;
    case "If you were registered you could add links on this website.":		$tmp	= "If you were registered you could add links on this website."; break;
    case "Register for an Account":		$tmp	= "Register for an Account"; break;
    case "Total new links: Last week":		$tmp	= "Total new links: Last week"; break;
    case "Last 30 days":		$tmp	= "Last 30 days"; break;
    case "Show:":		$tmp	= "Show:"; break;
    case "week":		$tmp	= "week"; break;
    case "weeks":		$tmp	= "weeks"; break;
    case "days":		$tmp	= "days"; break;
    case "Total new links for last":		$tmp	= "Total new links for last"; break;
    case "vote":		$tmp	= "vote"; break;
    case "votes":		$tmp	= "votes"; break;
    case "Rating":		$tmp	= "Rating"; break;
    case "Rate this Site":		$tmp	= "Rate this Site"; break;
    case "Details":		$tmp	= "Details"; break;
    case "Best Rated Links - Top":		$tmp	= "Best Rated Links - Top"; break;
    case "of":		$tmp	= "of"; break;
    case "total rated links":		$tmp	= "total rated links"; break;
    case "Note":		$tmp	= "Note"; break;
    case "total votes requirement":		$tmp	= "total votes requirement"; break;
    case "Show Top":		$tmp	= "Show Top"; break;
    case "Most Popular - Top":		$tmp	= "Most Popular - Top"; break;
    case "of all":		$tmp	= "of all"; break;
    case "links":		$tmp	= "links"; break;
    case "Links also available in":		$tmp	= "Links also available in"; break;
    case "Sort links by":		$tmp	= "Sort links by"; break;
    case "Date":		$tmp	= "Date"; break;
    case "Popularity":		$tmp	= "Popularity"; break;
    case "Sites currently sorted by":		$tmp	= "Sites currently sorted by"; break;
    case "Select page":		$tmp	= "Select page"; break;
    case "Previuos":		$tmp	= "Previous"; break;
    case "Next":		$tmp	= "Next"; break;
    case "Total links in category":		$tmp	= "Total links in category"; break;
    case "not including subcategories":		$tmp	= "not including subcategories"; break;
    case "Set links per page (current:":		$tmp	= "Set links per page (current:"; break;
    case "Show All":		$tmp	= "Show All"; break;
    case "New Today":		$tmp	= "New Today"; break;
    case "New last 3 days":		$tmp	= "New last 3 days"; break;
    case "New this week":		$tmp	= "New this week"; break;
    case "New Links in this Category Added Today":		$tmp	= "New Links in this Category Added Today"; break;
    case "New Links in this Category Added in the last 3 days":		$tmp	= "New Links in this Category Added in the last 3 days"; break;
    case "New Links in this Category Added this week":		$tmp	= "New Links in this Category Added this week"; break;
    case "Popularity (Least to Most Hits)":		$tmp	= "Popularity (Least to Most Hits)"; break;
    case "Popularity (Most to Least Hits)":		$tmp	= "Popularity (Most to Least Hits)"; break;
    case "Title (A to Z)":		$tmp	= "Title (A to Z)"; break;
    case "Title (Z to A)":		$tmp	= "Title (Z to A)"; break;
    case "Date (Old Links Listed First)":		$tmp	= "Date (Old Links Listed First)"; break;
    case "Date (New Links Listed First)":		$tmp	= "Date (New Links Listed First)"; break;
    case "Rating (Lowest Scores to Highest Scores)":		$tmp	= "Rating (Lowest Scores to Highest Scores)"; break;
    case "Rating (Highest Scores to Lowest Scores)":		$tmp	= "Rating (Highest Scores to Lowest Scores)"; break;
    case "Link Profile":		$tmp	= "Link Profile"; break;
    case "Editorial by":		$tmp	= "Editorial by"; break;
    case "No editorial is currently available for this website.":		$tmp	= "No editorial is currently available for this website."; break;
    case "Total of":		$tmp	= "Total of"; break;
    case "User":		$tmp	= "User"; break;
    case "User's Average Rating":		$tmp	= "User's Average Ratings"; break;
    case "# of Ratings":		$tmp	= "# of Ratings"; break;
    case "Link Rating Details":		$tmp	= "Link Rating Details"; break;
    case "total votes":		$tmp	= "total votes"; break;
    case "Overall Rating":		$tmp	= "Overall Rating"; break;
    case "Registered Users":		$tmp	= "Registered Users"; break;
    case "Number of Ratings":		$tmp	= "Number of Ratings"; break;
    case "No Registered Users Votes":		$tmp	= "No Registered Users Votes"; break;
    case "Breakdown of Ratings by Value":		$tmp	= "Breakdown of Ratings by Value"; break;
    case "Link Rating":		$tmp	= "Link Rating"; break;
    case "High Rating":		$tmp	= "High Rating"; break;
    case "Low Rating":		$tmp	= "Low Rating"; break;
    case "Number of Comments":		$tmp	= "Number of Comments"; break;
    case "to":		$tmp	= "to"; break;
    case "Note: This website weighs Registered vs. Unregistered user's ratings":		$tmp	= "Note: This website weighs Registered vs. Unregistered user's ratings"; break;
    case "Unregistered Users":		$tmp	= "Unregistered Users"; break;
    case "No Unregistered Users Votes":		$tmp	= "No Unregistered Users Votes"; break;
    case "Note: This website weighs Registered vs. Outside voter's ratings":		$tmp	= "Note: This website weighs Registered vs. Outside voter's ratings"; break;
    case "Outside Voters":		$tmp	= "Outside Voters"; break;
    case "No Outside Votes":		$tmp	= "No Outside Votes"; break;
    case "Visit this Website":		$tmp	= "Visit this Website"; break;
    case "Is this your resource?":		$tmp	= "Is this your resource"; break;
    case "Allow users to rate your script from your web site!":		$tmp	= "Allow users to rate your script from your web site!"; break;
    case "Rate this Website":		$tmp	= "Rate this Website"; break;
    case "Promote Your Website":		$tmp	= "Promote Your Website"; break;
    case "Report Broken Link":		$tmp	= "Report Broken Link"; break;
    case "Thank you for helping to maintain this directory's integrity.":		$tmp	= "Thank you for helping to maintain this directory's integrity."; break;
    case "For security reasons your user name and IP address will also be temporarily recorded.":		$tmp	= "For security reasons your user name and IP address will also be temporarily recorded."; break;
    case "Thanks for the information. We'll look into your request shortly.":		$tmp	= "Thanks for the information. We'll look into your request shortly."; break;
    case "Only registered users can suggest link modifications. Please register or login.":		$tmp	= "Only registered users can suggest link modifications. Please register or login."; break;
    case "Send Request":		$tmp	= "Send Request"; break;
    case "Thank you for taking the time to rate a site here at $sitename. Input from users such as yourself will help other visitors better decide which links to click on.":		$tmp	= "Thank you for taking the time to rate a site here at $sitename. Input from users such as yourself will help other visitors better decide which links to click on."; break;
    case "We appreciate your visit to $sitename!":		$tmp	= "We appreciate your visit to $sitename!"; break;
    case "Return to":		$tmp	= "Return to"; break;
    case "Your vote is appreciated.":		$tmp	= "Your vote is appreciated."; break;
    case "You have already voted for this link in the past $anonwaitdays day(s).":		$tmp	= "You have already voted for this link in the past $anonwaitdays day(s)."; break;
    case "Vote for a link only once.<br>All votes are logged and reviewed.":		$tmp	= "Vote for a link only once.<br>All votes are logged and reviewed."; break;
    case "You cannot vote on a link you submitted.<br>All votes are logged and reviewed.":		$tmp	= "You cannot vote on a link you submitted.<br>All votes are logged and reviewed."; break;
    case "No rating selected - no vote tallied":		$tmp	= "No rating selected - no vote tallied"; break;
    case "Only one vote per IP address allowed every":		$tmp	= "Only one vote per IP address allowed every"; break;
    case "day(s).":		$tmp	= "day(s)."; break;
    case "Please do not vote for the same resource more than once.":		$tmp	= "Please do not vote for the same resource more than once."; break;
    case "The scale is 1 - 10, with 1 being poor and 10 being excellent.":		$tmp	= "The scale is 1 - 10, with 1 being poor and 10 being excellent."; break;
    case "Please be objective, if everyone receives a 1 or a 10, the ratings aren't very useful.":		$tmp	= "Please be objective, if everyone receives a 1 or a 10, the ratings aren't very useful."; break;
    case "You can view a list of the <a href=links.php?op=TopRated>Top Rated Resources</a>.":		$tmp	= "You can view a list of the <a href=links.php?op=TopRated>Top Rated Resources</a>."; break;
    case "Do not vote for your own resource.":		$tmp	= "Do not vote for your own resource."; break;
    case "You are a registered user and are logged in.":		$tmp	= "You are a registered user and are logged in."; break;
    case "Feel free to add a comment about this site.":		$tmp	= "Feel free to add a comment about this site."; break;
    case "You are not a registered user or you have not logged in.":		$tmp	= "You are not a registered user or you have not logged in."; break;
    case "If you were registered you could make comments on this website.":		$tmp	= "If you were registered you could make comments on this website."; break;
    case "User Reported Broken Links":		$tmp	= "User Reported Broken Links"; break;
    case "Ignore (Deletes all <b><i>requests</i></b> for a given link)":		$tmp	= "Ignore (Deletes all <b><i>requests</i></b> for a given link)"; break;
    case "Delete (Deletes <b><i>broken link</i></b> and <b><i>requests</i></b> for a given link)":		$tmp	= "Delete (Deletes <b><i>broken link</i></b> and <b><i>requests</i></b> for a given link)"; break;
    case "No reported broken links.":		$tmp	= "No reported broken links."; break;
    case "User Link Modification Requests":		$tmp	= "User Link Modification Requests"; break;
    case "Original":		$tmp	= "Original"; break;
    case "Description:":	$tmp	= "Description:"; break;
    case "Cat":			$tmp	= "Cat"; break;
    case "Subcat":		$tmp	= "Subcat"; break;
    case "Submitter":		$tmp	= "Submitter"; break;
    case "Owner":		$tmp	= "Owner"; break;
    case "Ignore":		$tmp	= "Ignore"; break;
    case "Accept":		$tmp	= "Accept"; break;
    case "Editorial added to the Database":		$tmp	= "Editorial added to the Database"; break;
    case "Editorial Modified":		$tmp	= "Editorial Modified"; break;
    case "Editorial removed from Database":		$tmp	= "Editorial removed from Database"; break;
    case "Link Validation":		$tmp	= "Link Validation"; break;
    case "Let Anonymous users to post new links?": 	$tmp = "Let Anonymous users to post new links?"; break;

    default: $tmp = "Skal Oversttes"; break;

    }
    return $tmp;
}
?>